package diskdrake::resize_ntfs;




use run_program;
use common;


sub new {
    my ($type, $_device, $dev) = @_;
    bless { dev => $dev }, $type;
}

sub min_size {
    my ($o) = @_;
    my $r = run_program::get_stdout('ntfsresize', '-f', '-i', $o->{dev});
    $r =~ /minimal size: (\d+) KiB/ && $1 * 2 
}

sub resize {
    my ($o, $size) = @_;
    my @l = ('-ff', '-s' . int($size / 2) . 'ki', $o->{dev});
    run_program::run_or_die('ntfsresize', '-n', @l);
    run_program::run_or_die('ntfsresize', @l);
}

1;
